Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owl.impl.model
Class OWLPropertyImpl

    java.lang.Object
      |
      +--org.semanticweb.owl.impl.model.OWLObjectImpl
            |
            +--org.semanticweb.owl.impl.model.OWLNamedObjectImpl
                  |
                  +--org.semanticweb.owl.impl.model.OWLEntityImpl
                        |
                        +--org.semanticweb.owl.impl.model.OWLPropertyImpl

All Implemented Interfaces:
  Cloneable, OWLDeprecatableObject, org.semanticweb.owl.impl.model.OWLDeprecatableObjectImpl, OWLEntity, OWLNamedObject, OWLObject, OWLOntologyObject, OWLProperty, Serializable

Direct Known Subclasses:
  OWLAnnotationPropertyImpl, OWLDataPropertyImpl, OWLObjectPropertyImpl

public abstract class OWLPropertyImpl
extends OWLEntityImpl
implements OWLProperty, org.semanticweb.owl.impl.model.OWLDeprecatableObjectImpl

A Property in an OWL ontology.

Version:
  $Id: OWLPropertyImpl.java,v 1.1.1.1 2003/10/14 17:10:15 sean_bechhofer Exp $
See Also:
  Serialized Form

Field Summary
`protected Map` | `ranges`

Fields inherited from class org.semanticweb.owl.impl.model.OWLNamedObjectImpl
`uri`

Constructor Summary
`OWLPropertyImpl(OWLDataFactoryImpl factory)`

Method Summary
`Set` | `getDomains()`
`Set` | `getDomains(OWLOntology o)` Return all domains (in the given ontology).
`Set` | `getDomains(Set ontos)` Return all domains (in the given ontologies).
`Set` | `getRanges()`
`Set` | `getRanges(OWLOntology o)` Return all ranges in the given ontology.
`Set` | `getRanges(Set ontos)` Return all ranges in the given ontologies.
`Set` | `getSuperProperties()`
`Set` | `getSuperProperties(OWLOntology o)` Return any asserted superproperties in the given ontology.
`Set` | `getSuperProperties(Set ontos)` Return any asserted superproperties in any of the given ontologies.
`boolean` | `isDeprecated(OWLOntology o)`
`boolean` | `isFunctional()`
`boolean` | `isFunctional(OWLOntology o)` Returns `true` if the property is declared as being functional in the given ontology
`boolean` | `isFunctional(Set ontos)` Returns `true` if the property is declared as being functional in any of the given ontologies
`void` | `setDeprecated(OWLOntology o, boolean b)`

Methods inherited from class org.semanticweb.owl.impl.model.OWLEntityImpl
`addOntology, getOntologies, removeOntology`

Methods inherited from class org.semanticweb.owl.impl.model.OWLNamedObjectImpl
`getURI`

Methods inherited from class org.semanticweb.owl.impl.model.OWLObjectImpl
`accept, clone, getAnnotations, getAnnotations, getContainedObjects, getMetadata, getOWLConnection, getOWLDataFactory`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.semanticweb.owl.model.OWLEntity
`accept`

Methods inherited from interface org.semanticweb.owl.model.OWLNamedObject
`getURI`

Methods inherited from interface org.semanticweb.owl.model.OWLObject
`accept, clone, getAnnotations, getAnnotations, getContainedObjects, getMetadata, getOWLConnection, getOWLDataFactory`

Methods inherited from interface org.semanticweb.owl.model.OWLOntologyObject
`getOntologies`

Field Detail

### ranges

    protected Map ranges

Constructor Detail

### OWLPropertyImpl

    public OWLPropertyImpl(OWLDataFactoryImpl factory)

Method Detail

### getSuperProperties

    public Set getSuperProperties()

### getSuperProperties

    public Set getSuperProperties(OWLOntology o)

  Description copied from interface: `OWLProperty`
  Return any asserted superproperties in the given ontology.

  Specified by:
    `getSuperProperties` in interface `OWLProperty`
  Parameters:
    `o` - an `OWLOntology` value
  Returns:
    a `Set` value

### getSuperProperties

    public Set getSuperProperties(Set ontos)

  Description copied from interface: `OWLProperty`
  Return any asserted superproperties in any of the given ontologies.

  Specified by:
    `getSuperProperties` in interface `OWLProperty`
  Returns:
    a `Set` value

### getDomains

    public Set getDomains()

### getDomains

    public Set getDomains(OWLOntology o)

  Description copied from interface: `OWLProperty`
  Return all domains (in the given ontology).

  Specified by:
    `getDomains` in interface `OWLProperty`
  Parameters:
    `o` - an `OWLOntology` value
  Returns:
    a `Set` value

### getDomains

    public Set getDomains(Set ontos)

  Description copied from interface: `OWLProperty`
  Return all domains (in the given ontologies).

  Specified by:
    `getDomains` in interface `OWLProperty`
  Returns:
    a `Set` value

### getRanges

    public Set getRanges()

### getRanges

    public Set getRanges(OWLOntology o)

  Description copied from interface: `OWLProperty`
  Return all ranges in the given ontology.

  Specified by:
    `getRanges` in interface `OWLProperty`
  Parameters:
    `o` - an `OWLOntology` value
  Returns:
    a `Set` value

### getRanges

    public Set getRanges(Set ontos)

  Description copied from interface: `OWLProperty`
  Return all ranges in the given ontologies.

  Specified by:
    `getRanges` in interface `OWLProperty`
  Returns:
    a `Set` value

### isFunctional

    public boolean isFunctional()

### isFunctional

    public boolean isFunctional(OWLOntology o)

  Description copied from interface: `OWLProperty`
  Returns `true` if the property is declared as being functional in the given ontology

  Specified by:
    `isFunctional` in interface `OWLProperty`
  Parameters:
    `o` - an `OWLOntology` value
  Returns:
    a `boolean` value

### isFunctional

    public boolean isFunctional(Set ontos)

  Description copied from interface: `OWLProperty`
  Returns `true` if the property is declared as being functional in any of the given ontologies

  Specified by:
    `isFunctional` in interface `OWLProperty`
  Returns:
    a `boolean` value

### isDeprecated

    public boolean isDeprecated(OWLOntology o)

  Specified by:
    `isDeprecated` in interface `OWLDeprecatableObject`

### setDeprecated

    public void setDeprecated(OWLOntology o,
                              boolean b)

  Specified by:
    `setDeprecated` in interface `org.semanticweb.owl.impl.model.OWLDeprecatableObjectImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WonderWeb